ENT.Type		= "anim"
ENT.Base		= "base_entity"
ENT.AutomaticFrameAdvance = true
ENT.Category	= "Mapobjekte"
ENT.PrintName	 = "Mini Roulette"
ENT.Model = Model("models/2rek/miniroulette/mr_base.mdl")
ENT.WheelModel = Model("models/2rek/miniroulette/mr_wheel.mdl")
ENT.BallModel = Model("models/2rek/miniroulette/mr_ball.mdl")

ENT.Spawnable	 = true

function ENT:PhysgunPickup(ply)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end